import graphene
from django.conf import settings
from graphene_django.debug import DjangoDebug

from news.schema_public import AllNewsTeasersQuery
from users.mutations_public import UserMutations
from registration.mutations_public import RegistrationMutations


class PublicMutation(UserMutations, RegistrationMutations, graphene.ObjectType):

    if settings.DEBUG:
        debug = graphene.Field(DjangoDebug, name='_debug')


class PublicQuery(AllNewsTeasersQuery, graphene.ObjectType):
    node = graphene.relay.Node.Field()

    if settings.DEBUG:
        debug = graphene.Field(DjangoDebug, name='_debug')


schema = graphene.Schema(mutation=PublicMutation, query=PublicQuery)
